Bug 1126017 - Allow configuration of the port of the embedded Netty server
Summary: Allow configuration of the port of the embedded Netty server
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Keith Babo
QA Contact: Jiri Sedlacek
URL: https://c.na7.visual.force.com/apex/C...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 15:20 UTC by Shaun Appleton
Modified: 2018-12-06 17:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 11:36:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Shaun Appleton 2014-08-01 15:20:48 UTC
Description of problem:

We would like to be able to configure the port of the embedded Netty server when we run our junit tests. The reason for this is that port 8080 is occupied in some of our development PCs. 

There is already a community issue created for this: https://issues.jboss.org/browse/SWITCHYARD-2232

Comment 1 Shaun Appleton 2014-08-27 11:36:10 UTC
https://issues.jboss.org/browse/SWITCHYARD-2232

has been closed with the comment:



Found that if binding is http or rest, you have to set one of these properties (different ports should be used).
System.setProperty("org.switchyard.component.resteasy.standalone.port", "8081");
System.setProperty("org.switchyard.component.http.standalone.port", "8082");
on the JUnit test with a @BeforeDeploy annotation. See https://issues.jboss.org/browse/SWITCHYARD-2231

In case of soap service, socketAddr must be set on the binding.
https://github.com/jboss-switchyard/quickstarts/blob/master/bean-service/src/main/resources/META-INF/switchyard.xml#L23

Not very consistent, but working.




Based on that I'm closing this too.


Note You need to log in before you can comment on or make changes to this bug.